%define upstream_name    Error-Helper
%define upstream_version 2.1.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Provides some easy error related methods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Error/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module allows you to make some easy error related methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.1.0-2.mga10
+ Revision: 2220685
- Mageia 10 Mass Rebuild

* Tue Dec 12 2023 tv <tv> 2.1.0-1.mga10
+ Revision: 2017497
- update to 2.1.0

* Tue Dec 05 2023 tv <tv> 2.0.0-1.mga10
+ Revision: 2013523
- update to 2.0.0

* Sun Mar 20 2022 umeabot <umeabot> 1.0.0-11.mga9
+ Revision: 1803490
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-10.mga8
+ Revision: 1494443
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-9.mga7
+ Revision: 1267858
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-8.mga6
+ Revision: 1026933
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.0-7.mga6
+ Revision: 949487
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 789822
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 739390
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 684647
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 511423
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 366901
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 16 2012 kharec <kharec> 1.0.0-1.mga3
+ Revision: 260962
- update to 1.0.0

* Sun Dec 04 2011 kharec <kharec> 0.1.0-1.mga2
+ Revision: 176257
- imported package perl-Error-Helper


* Sun Dec 04 2011 cpan2dist 0.1.0-1mga
- initial mageia release, generated with cpan2dist
